Contacts
Delete Contact by Locator
Provide exactly one contact locator:
external_idsecondary_external_idemail_addresssms_phone_numberwhatsapp_phone_numberfacebook_user_idinstagram_user_idpostal_address
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
external_id?string
Identifier assigned by an external system.
Length
1 <= lengthsecondary_external_id?string
Secondary identifier assigned by an external system.
Length
1 <= lengthemail_address?string
Filters resources by email address.
Match
^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)*[a-zA-Z]{2,}))$sms_phone_number?string
Filters resources by sms phone number.
Match
^\+[1-9]\d{1,14}$whatsapp_phone_number?string
Filters resources by whatsapp phone number.
Match
^\+[1-9]\d{1,14}$facebook_user_id?string
Unique identifier of the related facebook user.
Length
1 <= lengthinstagram_user_id?string
Unique identifier of the related instagram user.
Length
1 <= lengthpostal_address?string
Filters resources by postal address.
Length
1 <= lengthResponse Body
curl -X DELETE "https://api.getmateo.com/v1/contacts/by"Empty